Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.xds.soap
Interface XDSSoapClientStatus

    public interface XDSSoapClientStatus

Status constants for SOAP Response processing for XDS SOAP clients

Author:
  Sarah Knoop

Field Summary
`static java.lang.String` | `EMPTY_RESPONSE` Indicator that the SOAP Message returnd to the client had no payload within the SOAP Body
`static java.lang.String` | `NULL_SOAP` Indicator that no SOAP Message was returned to the client
`static java.lang.String` | `NULL_SOAP_BODY` Indicator that the SOAP Message returnd to the client had a null SOAP body
`static java.lang.String` | `NULL_SOAP_ENVELOPE` Indicator that the SOAP Message returnd to the client had a null SOAP envelope
`static java.lang.String` | `NULL_SOAP_PART` Indicator that the SOAP Message returnd to the client had a null SOAP part
`static java.lang.String` | `SOAP_FAULT` Indicator that the SOAP Fault has occurred.

Field Detail

### NULL_SOAP

    static final java.lang.String NULL_SOAP

  Indicator that no SOAP Message was returned to the client

  See Also:
    Constant Field Values

### NULL_SOAP_PART

    static final java.lang.String NULL_SOAP_PART

  Indicator that the SOAP Message returnd to the client had a null SOAP part

  See Also:
    Constant Field Values

### NULL_SOAP_ENVELOPE

    static final java.lang.String NULL_SOAP_ENVELOPE

  Indicator that the SOAP Message returnd to the client had a null SOAP envelope

  See Also:
    Constant Field Values

### NULL_SOAP_BODY

    static final java.lang.String NULL_SOAP_BODY

  Indicator that the SOAP Message returnd to the client had a null SOAP body

  See Also:
    Constant Field Values

### EMPTY_RESPONSE

    static final java.lang.String EMPTY_RESPONSE

  Indicator that the SOAP Message returnd to the client had no payload within the SOAP Body

  See Also:
    Constant Field Values

### SOAP_FAULT

    static final java.lang.String SOAP_FAULT

  Indicator that the SOAP Fault has occurred.

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD